# Uses of Class
org.eclipse.equinox.bidi.advanced.StructuredTextEnvironment

Packages that use StructuredTextEnvironment
Package
Description
org.eclipse.equinox.bidi.advanced
This package provides classes for users who need finer control on structured text handling.
org.eclipse.equinox.bidi.custom
This package provides APIs for plug-in developers to contribute handlers for specific types of bidirectional expressions not supported in the standard distribution.

## Uses of StructuredTextEnvironment in org.eclipse.equinox.bidi.advanced

Fields in org.eclipse.equinox.bidi.advanced declared as StructuredTextEnvironment
Modifier and Type
Field
Description
`static final StructuredTextEnvironment`
StructuredTextEnvironment.`DEFAULT`
Pre-defined `StructuredTextEnvironment` instance which uses default locale, non-mirrored environment, and a Left-to-Right presentation component.
Methods in org.eclipse.equinox.bidi.advanced that return StructuredTextEnvironment
Modifier and Type
Method
Description
`StructuredTextEnvironment`
IStructuredTextExpert.`getEnvironment()`
Obtains the environment associated with this `IStructuredTextExpert` instance.
Methods in org.eclipse.equinox.bidi.advanced with parameters of type StructuredTextEnvironment
Modifier and Type
Method
Description
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getExpert(String type, StructuredTextEnvironment environment)`
Obtains a IStructuredTextExpert instance for processing structured text with the specified type handler and the specified environment.
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getStatefulExpert(String type, StructuredTextEnvironment environment)`
Obtains a IStructuredTextExpert instance for processing structured text with the specified type handler and the specified environment.
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getStatefulExpert(StructuredTextTypeHandler handler, StructuredTextEnvironment environment)`
Obtains a IStructuredTextExpert instance for processing structured text with the specified type handler and the specified environment.

## Uses of StructuredTextEnvironment in org.eclipse.equinox.bidi.custom

Fields in org.eclipse.equinox.bidi.custom declared as StructuredTextEnvironment
Modifier and Type
Field
Description
`protected final StructuredTextEnvironment`
StructuredTextCharTypes.`environment`
The environment associated with the expert.